import React, { HTMLAttributes } from 'react';
import { DropdownComponentVersion } from './version-dropdown';
export declare type VersionProps = {
    currentVersion?: string;
    isTag?: (version?: string) => boolean;
    disabled?: boolean;
    hasMoreVersions?: boolean;
    showFullVersion?: boolean;
    loading?: boolean;
    useCurrentVersionLog?: (props: {
        skip?: boolean;
        version?: string;
    }) => DropdownComponentVersion | undefined;
} & HTMLAttributes<HTMLDivElement>;
export declare function SimpleVersion({ currentVersion, className, disabled, hasMoreVersions, isTag, useCurrentVersionLog, showFullVersion, loading, ...rest }: VersionProps): React.JSX.Element;
export declare function DetailedVersion({ currentVersion, className, disabled, hasMoreVersions, isTag, loading, useCurrentVersionLog, showFullVersion, ...rest }: VersionProps): React.JSX.Element;
